Page MenuHomePhabricator

Create an API to serve subtitles
Closed, ResolvedPublic

Description

Our current method of serving subtitles to TMH is rather poor.

We need a new endpoint to serve them.
dynamic, cacheable, allow multiple content types etc.

Related Objects

Event Timeline

TheDJ created this task.Sep 4 2015, 6:57 PM
TheDJ raised the priority of this task from to Normal.
TheDJ updated the task description. (Show Details)
TheDJ added a project: TimedMediaHandler.
TheDJ added a subscriber: TheDJ.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 4 2015, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
TheDJ claimed this task.Sep 4 2015, 6:58 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:58 PM
TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Sep 4 2015, 6:58 PM

Change 232214 had a related patch set uploaded (by TheDJ):
[WIP] First go at a subtitle serving api

https://gerrit.wikimedia.org/r/232214

Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Sep 4 2015, 7:02 PM
brion added a subscriber: brion.Sep 4 2015, 7:05 PM
TheDJ added a comment.Sep 4 2015, 9:38 PM

Added option to core to output http error codes for this with: https://gerrit.wikimedia.org/r/236076

TheDJ added a comment.Sep 5 2015, 9:04 PM

Now added an option to convert subtitles in this patch

I noticed that the SRT for Folgers clip is rather esoteric and failing in conversion. Also already found two bugs in the VTT conversion of captioning/captioning, but when it works. it's easy peasy.

Jdforrester-WMF moved this task from Doing to Prototyping on the Multimedia board.Sep 8 2015, 3:40 PM

Change 232214 abandoned by TheDJ:
[WIP] First go at a subtitle serving api

https://gerrit.wikimedia.org/r/232214

TheDJ removed TheDJ as the assignee of this task.Sep 18 2017, 1:39 PM

Change 232214 restored by Brion VIBBER:
[WIP] First go at a subtitle serving api

Reason:
Recovering this and taking over

https://gerrit.wikimedia.org/r/232214

brion claimed this task.Feb 7 2018, 7:19 PM

I'm cleaning this one up, since videojs really wants webvtt it's a requirement for switching to get things set up cleaner. Also needed for cross-site InstantCommons usage.

Change 232214 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Subtitles served through API, with WebVTT conversion

https://gerrit.wikimedia.org/r/232214

Change 232214 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Subtitles served through API, with WebVTT conversion

https://gerrit.wikimedia.org/r/232214

TheDJ closed this task as Resolved.May 17 2019, 10:00 AM